All materials on our website are shared by users. If you have any questions about copyright issues, please report us to resolve them. We are always happy to assist you.

Information Report

Category:
## Documents

Published:

Views: 0 | Pages: 25

Extension: PDF | Download: 0

Share

Related documents

Description

6.012 - Microelectronic Devices and Circuits Lecture 6 - p-n Junctions: I-V Relationship - Outline ã Announcements First Hour Exam - Oct. 7, 7:30-9:30 pm;…

Transcript

6.012 - Microelectronic Devices and Circuits Lecture 6 - p-n Junctions: I-V Relationship - Outline ã Announcements First Hour Exam - Oct. 7, 7:30-9:30 pm; thru 10/2/09, PS #4 ã Review Minority carrier flow in QNRs: 1. Lmin w, 2. Lmin w ã I-V relationship for an abrupt p-n junction Assume: 1. Low level injection 2. All applied voltage appears across junction: 3. Majority carriers in quasi-equilibrium with barrier 4. Negligible SCL generation and recombination Relate minority populations at QNR edges, -xp and xn, to vAB Use n'(-xp), p'(xn) to find hole and electron currents in QNRs Connect currents across SCL to get total junction current, iD ã Features and limitations of the model Engineering the minority carrier injection across a junction Deviations at low and high current levels Deviations at large reverse bias Clif Fonstad, 9/29/09 Lecture 6 - Slide 1 QNR Flow: Uniform doping, non-uniform LL injection We use the 5 QNR flow conditions* to simplify our 5 equations... (assuming a p-type sample) p(x,t) 1 J h (x,t) n(x,t) 1 J e (x,t) + = # $ gL (x,t) # [ n(x,t) p(x,t) # n i2 ] r(t) t q x t q x LLI Quasi-static Quasi-static 1 dJ h (x,t) 1 dJ e (x,t) n'(x,t) = # $ gL (x,t) # q dx q dx %e #p(x,t) LLI dn'(x,t) J h (x,t) = qµ h p(x,t)E(x,t) qDh qµ h po (x)E(x,t) # qDh ! #x Quasi-neutrality dx Negligible minority drift n(x,t) dn'(x,t) J e (x,t) = qµ e n(x,t)E(x,t) + qDe J e (x,t) # qDe ! x dx ! ! q Uniform doping [ p(x,t) # n(x,t) + N d (x) # N a (x)] = q dE x (x,t) + # [ p'(x,t) $ n'(x,t)] (x) dx # ! ! ..and end up with one equation in n': the static diffusion equation! d 2 n'(x,t) n'(x,t) 1 ! 2 =! gL (x,t) dx De # e De Clif Fonstad, 9/29/09 Lecture 6 - Slide 2 * Five assumptions that define flow problems AND should be validated at the end. QNR Flow, cont.: Solving the steady state diffusion equation The steady state diffusion equation in p-type material is: d 2 n'(x) n'(x) 1 2 2 = gL (x) dx Le De and for n-type material it is: d 2 p'(x) p'(x) 1 2 2 = gL (x) ! dx Lh Dh In writing these expressions we have introduced Le and Lh, the minority carrier diffusion lengths for holes and electrons, as: ! Le De # e Lh Dh # h We'll see that the minority carrier diffusion length tells us how far the average minority carrier diffuses before it recombines. In a basic p-n ! diode, we have gL!= 0 which means we only need the homogenous solutions, i.e. expressions that satisfy: n-side: d 2 p'(x) p'(x) p-side: d 2 n'(x) n'(x) = 0 = 0 dx 2 Lh2 dx 2 Le2 Clif Fonstad, 9/29/09 Lecture 6 - Slide 3 QNR Flow, cont.: Solving the steady state diffusion equation We seldom care about this general result. Instead, we find that most diodes fall into one of two cases: Case I - Long-base diode: wn Lh Case II - Short-base diode: Lh wn Case I: When wn Lh, which is the situation in an LED, for example, the solution is p'(x) p'(x n )e#( x#x n ) L h for x n $ x $ wn This profile decays from p'(xn) to 0 exponentially as e-x//Lh. ! corresponding hole current for xn ≤ x ≤ wn in Case I is The dp'(x) qDh J h (x) #qDh = p'(x n )e#( x#x n ) Lh for x n $ x $ w n dx Lh The current decays to zero also, indicating that all of the excess minority carriers have recombined before getting to the contact. ! Clif Fonstad, 9/29/09 Lecture 6 - Slide 4 QNR Flow, cont.: Solving the steady state diffusion equation Case II: When Lh wn, which is the situation in integrated Si diodes, for example, the differential equation simplifies to: d 2 p'(x) p'(x) 2 = 2 0 dx Lh We see immediately that p'(x) is linear: p'(x) = A x + B Fitting the boundary conditions we find: ! * $ x # x '- )/! for x n 0 x 0 w n n p'(x) p'(x n ),1# & + % w n # x n (. This profile is a straight line, decreasing from p'(xn) at xn to 0 at wn. In Case II the current is constant for xn ≤ x ≤ wn: ! dp'(x) qDh J h (x) #qDh = p'(x n ) for x n $ x $ wn dx wn # x n The constant current indicates that no carriers recombine before reaching the contact. Clif Fonstad, 9/29/09 Lecture 6 - Slide 5 ! QNR Flow, cont.: Uniform doping, non-uniform LL injection Sketching and comparing the limiting cases: wn Lh, wn Lh Case I - Long base: wn Ln (the situation in LEDs) p'n(x) [cm-3] Jh(x) [A/cm2] p'n(xn) qDhp'n(xn) Lh e-x/Lh e-x/Lh 0 xn xn+Lh wn x [cm] 0 xn xn+Lh wn x [cm] Case II - Short base: wn Ln (the situation in most Si diodes and transistors) p'n(x) [cm-3] Jh(x) [A/cm2] p'n(xn) qDhp'n(xn) [wn-xn] 0 xn wn x [cm] 0 xn wn x [cm] Clif Fonstad, 9/29/09 Lecture 6 - Slide 6 QNR Flow, cont.: Uniform doping, non-uniform LL injection The four other unknowns ⇒ In n-type the steady state diffusion equation gives p’. ⇒ Knowing p', we can easily get n’, Je, Jh, and Ex: Note: In Lec 5 we saw this dp'(x) for a p-type sample. First find Jh: J h (x) # qDh dx Then find Je: J e (x) = JTot J h (x) ! 1 # De & Next find Ex: E x (x) %J e (x) + J h (x)( ! qµ e n o $ Dh ' $ dE x (x) Then find n’: n'(x) p'(x) # q dx ! Finally, go back and check that all of the five conditions are met by the solution. Once! we solve the diffusion equation and get Clif Fonstad, 9/29/09 the minority carrier excess we know everything. Lecture 6 - Slide 7 Current flow: finding the relationship between iD and vAB There are two pieces to the problem: ã Minority carrier flow in the QNRs is what limits the current. ã Carrier equilibrium across the SCR determines n'(-xp) and p'(xn), the boundary conditions of the QNR minority carrier flow problems. Ohmic Uniform p-type Uniform n-type contact Ohmic contact iD A p n B + - vAB x -wp -xp 0 xn wn Quasineutral Space charge Quasineutral region I region region II Minority carrier flow Minority carrier flow here determines the The values of n' at here determines the electron current -xp and p' at xn are hole current established here. Clif Fonstad, 9/29/09 - Today's lecture topic - Lecture 6 - Slide 8 The p-n Junction Diode: the game plan for getting iD(vAB) We have two QNR's and a flow problem in each: Ohmic Quasineutral Quasineutral contact region I region II Ohmic contact iD A p n B + - vAB x x -wp -xp 0 0 xn wn n'(-xp) = ? n'p p'n p'(xn) = ? n'(-wp) = 0 p'(wn) = 0 x x -wp -xp 0 0 xn wn If we knew n'(-xp) and p'(xn), we could solve the flow problems and we could get n'(x) for -wp x -xp, and p'(x) for xn x wn … Clif Fonstad, 9/29/09 Lecture 6 - Slide 9 ….and knowing n'(x) for -wp x -xp, and p'(x) for xn x wn, we can find Je(x) for -wp x -xp, and Jh(x) for xn x wn. n'p p'n n'(-xp,vAB) = ? p'(xn,vAB) = ? n'(-wp) = 0 p'(wn) = 0 -wp -xp 0 x 0 xn wn x Je Jh Je(-wp x -xp)=qDe(dn'/dx) Jh(xn x wn)=-qDh(dp'/dx) x x -wp -xp 0 0 xn wn Having Je(x) for -wp x -xp, and Jh(x) for xn x wn, we can get iD because we will argue that iD(vAB) = A[Je(-xp,vAB)+Jh(xn,vAB)]… …but first we need to know n'(-xp,vAB) and p'(xn,vAB). Clif Fonstad, 9/29/09 We will do this now. Lecture 6 - Slide 10 The impact of the barrier height change on the carrier populations and fluxes: qφ Unbiased junction Population in equilibrium with barrier x Forward bias qφ on junction Barrier lowered so carriers to left can cross over it. The flux is limited by how fast they diffuse in the QNR. x qφ Reverse bias on junction Barrier raised so the few carriers on top spill back down. x Clif Fonstad, 9/29/09 Lecture 6 - Slide 11 Majority carriers against the junction barrier Zero applied bias, vAB = 0; thermal equilibrium barrier Hole potential energy, qφ po ( x x n ) = n ie#q$ n kT = n i2 N Dn q B p (x ! o p x x n ) = n i e q# (x ) kT ! po ( x #x p ) = n ie = N Ap #q$ p kT ! -xp xn Notice that: ! po ( x x n ) = n ie#q$ n = N Ap e ( n p ) = N Ap e#q$ B kT #q $ #$ kT kT The holes are in equilibrium with the barrier. Clif Fonstad, 9/29/09 Lecture 6 - Slide 12 ! Boundary condtions at the edges of the space charge layer: What are n’(-xp) and p’(xn)? Begin by looking at the situation in thermal equilibrium, where we have: po ( x p ) = N Ap and po (x n ) = n i2 N Dn qφ If the population of holes at the top of the potential “hill” is related to qφb ! the population at the bottom by a Boltzman factor, then we should also find that: x po (x n ) = po ( x p )e q# b / kT -xp 0 xn Do we? kT N Ap N Dn n i2 b = ln # = N Ap e$q b / kT ! q n i2 N Dn n i2 Thus : po (x n ) = = N Ap e$q b / kT = po ($x p )e$q b / kT N Dn Clif Fonstad, 9/29/09 YES, we do, and the Boltzman relationship holds. Lecture 6 - Slide 13 ! Majority carriers against the junction barrier Forward bias, vAB 0; barrier lowered, carriers spill over Hole potential energy, qφ p( x n ) n i2 N Dn po ( x x n ) = q( B # v AB ) n i2 N Dn po ( x #x p ) $ N Ap ! ! ! -xp xn !We say the holes are still in equilibrium with the barrier at xn: n i2 +qv AB p( x n ) = N Ap e q (# B v AB ) kT = e kT N Dn Clif Fonstad, 9/29/09 Lecture 6 - Slide 14 Majority carriers against the junction barrier Reverse bias, vAB 0; barrier raised, carriers spill back Hole potential energy, qφ p( x x n ) = p( x n ) n i2 N Dn n i2 N Dn q( B # v AB ) ! ! ! p( x x p ) # N Ap -xp xn Again the holes maintain equilibrium with the barrier until xn: ! n i2 +qv AB p( x n ) = N Ap e q (# B v AB ) kT = e kT N Dn Clif Fonstad, 9/29/09 Lecture 6 - Slide 15 And we have the same expression for p(xn). What are n’(-xp) and p’(xn) with vAB applied? We propose that the majority carrier populations on either side are still related by the Boltzman factor,* which is now: exp[-q(φb-vAB)/kT] Thus: p(x n ) = p( x p )e q [ # b v AB ] / kT Under low level injection conditions, the majority carrier population is unchanged, so p(-xp) remains NAp, so: 2 ! [ ] n p(x n ) = N Ap e b AB q # v / kT = i e qv AB / kT N Dn And the excess population we seek is: n i2 p'(x n ) = p(x n ) pon = N Dn ( e qv AB / kT 1) ! Similarly at -xp: n i2 n'( x p ) = N Ap (e qv AB / kT 1) ! * We are assuming that the majority carriers can get across the SCL much faster than they can diffuse away as minority Clif Fonstad, 9/29/09 Lecture 6 - Slide 16 carriers, i.e., that diffusion is the bottleneck! ! Biased p-n junctions: current flow, cont. What is the current, iD? Knowing p’(xn) and n’(-xp), we know: J h (x) for x n x wn and J e (x) for - w p x x p But we still don’t know the total current because we don’t know both currents at the same position, x: ! i = A J = A [ J (x) + J (x)] D TOT h Have to be at same “x” e To proceed we make the assumption that there is negligible recombination of holes and electrons in the depletion ! region, so what goes in comes out and: J h (x n ) = J h ( x p ) and J e (x n ) = J e ( x p ) With this assumption, we can write: iD = A JTOT = A [ J h (x n ) + J e ( x p )] Values at edges of SCL ! Clif Fonstad, 9/29/09 Lecture 6 - Slide 17 Biased p-n junctions: current flow, cont. What is the current, iD, cont,? Both Jh(xn) and Je(-xp), are proportional to p’(xn) and n’(-xp), respectively, which in turn are both proportional to (eqv/kT -1): J h (x n ) p'(x n ) [e qv AB / kT -1] and J e (-x p ) n'(x p ) [e qv AB / kT -1] Thus the diode current is also proportional to (eqv/kT -1): ! iD = A [ J h (x n ) + J e ( x p )] # [e qv AB / kT 1] $ iD = Is [e qv AB / kT 1] (IS is called the reverse saturation current of the diode.) ! ** Notice: The non-linearity, i.e., the exponential dependence of the diode current on voltage, arises because of the exponential dependence of the minority carrier populations the edges of the space charge layer (depletion region). The flow problems themselves are linear. Clif Fonstad, 9/29/09 Lecture 6 - Slide 18 Biased p-n junctions: current flow, cont. The saturation current of three diode types: p’(x), n’(x) IS's dependence on the relative sizes of w and Lmin p’(xn) Short-base diode, wn Lh, wp Le: n’(-xp) x n 2i # [ ] %% Dh -wp -xp xn wn J h (x n ) = q e qv AB / kT -1 N Dn ( w n x n ) ' * , [e qv AB / kT -1] Dh De 2 $ iD = Aqn i ) + )( N Dn ( w n x n ) N Ap ( w p x p ) ,+ 2 [ e qv AB / kT -1] % n De J e (-x p ) = q i N Ap ( w p x p ) %& p’(x), n’(x) p’(xn) Long-base diode, wn Lh, wp Le: n’(-xp) x ! n 2i Dh qv AB / kT -wp -xp xn wn J h (x n ) = q N Dn Lh [e -1] $ $ & D De ) qv AB / kT 2 # iD = Aqn i ( h + + [e -1] n 2i De qv AB / kT N ' Dn hL N L Ap e * J e (-x p ) = q [ e -1] $ N Ap Le $% General diode: D De % qv AB / kT iD = Aqn $ 2 i h + ' [e -1] ! # N Dn w n,eff N Ap w p,eff & Hole injection into n-side Electron injection into p-side Clif Fonstad, 9/29/09 Note : w n,eff Lh tanh( w n - x n ), w p,eff Le tanh( w p - x p ) Lecture 6 - Slide 19 ! Biased p-n junctions: current flow, cont. The ideal exponential diode 108 ã General expression: iD = IS(eqVAB/kT - 1) 107 106 ã Forward bias, |vAB| kT/q: 105 iD ≈ ISeqVAB/kT 104 Current increases 10x |J/Js| 60 mV/decade for every 60 mV in- 103 Ideal forward crease in vAB. 102 101 ã Reverse bias, |vAB| kT/q: Ideal reverse Current saturates at IS. 100 Js iD = - IS 10-1 0 5 10 15 20 25 30 q|v|/kT Figure by MIT OpenCourseWare. Ref: Adapted from Figure 18 in S. M. Sze, “Physics of Semiconductor Devices” 1st. Ed (Wiley, 1969) Clif Fonstad, 9/29/09 Lecture 6 - Slide 20 Biased p-n junctions: current flow, cont. Limitations of the model NOTE: This figure is a bit exagerated, but it makes the point. 108 ã Large forward bias: (d) 107 Sub-exponential increase 106 - High level injection (c) (c) Junction breakdown - Series voltage drop (d) 105 Forward (b) 104 ã Large reverse bias: |J/Js| Reverse Abrupt, rapid increase 103 (a) (e) - Non-destructive break- 102 Ideal forward down 101 Ideal reverse ã Very low bias levels: 100 Excess current seen 10-1 - SCL generation and 0 5 10 15 20 25 30 q|v|/kT recombination (a, e) Figure by MIT OpenCourseWare. Ref: Figure 18 in S. M. Sze, “Physics of Semi- conductor Devices” 1st. Ed (Wiley, 1969) Clif Fonstad, 9/29/09 Lecture 6 - Slide 21 Asymmetrically doped junctions: an important special case Depletion region impacts/issues A p+-n junction (NAp NDn): N Ap N Dn (N Ap + N Dn ) N Dn 2#Si ($ b % v AB ) 2q ($ b % v AB ) N Dn x n x p , w x n , E pk qN Dn #Si ! An n+-p junction (NDn NAp): N Ap N Dn (N Ap + N Dn ) N Ap ! 2#Si ($ b % v AB ) 2q ($ b % v AB ) N Ap x p x n , w x p , E pk qN Ap ! #Si Note that in both cases the depletion region is predominately on the lightly doped side, and it is the doping level of the more lightly doped junction that matters (i.e., dominates). ! Note also that as the doping level increases the depletion width decreases and the peak E-field increases. [This is also true in symmetrical diodes.] Clif Fonstad, 9/29/09 Two very important and useful observations!! Lecture 6 - Slide 22 Asymmetrically doped junctions: an important special case Current flow impact/issues A p+-n junction (NAp NDn): D De % qv AB / kT ' [e -1] Aqn i [e qv AB / kT -1] Dh 2 iD = Aqn i $ h + 2 # N Dn w n,eff N Ap w p,eff & N Dn w n,eff Hole injection into n-side An n+-p junction (NDn NAp): D De % !qv AB / kT ' [e -1] ( Aqn 2i [ e qv AB / kT -1] ! De 2 iD = Aqn i $ h + # N Dn w n,eff N Ap w p,eff & N Ap w p,eff Electron injection into p-side Note that in both cases the minority carrier injection is predominately into ! the lightly doped side. Note also that it is the doping level of the more lightly doped junction that determines the magnitude of the current, and as the doping level on the lightly doped side decreases, the magnitude of the current increases. Two very important and useful observations!! Clif Fonstad, 9/29/09 Lecture 6 - Slide 23 6.012 - Microelectronic Devices and Circuits Lecture 6 - p-n Junctions: I-V Relationship - Summary ã I-V relationship for an abrupt p-n junction Focus is on minority carrier diffusion on either side of SCL Voltage across SCL sets excess populations -xp and xn: n'(-xp) = nnoe-q[fb – vAB]/kT-npo = npo(eqvAB/kT-1) = (ni2/NAp)(eqvAB/kT -1) p'(xn) = ppoe-q[fb – vAB]/kT-pno = pno(eqvAB/kT-1) = (ni2/NDn)(eqvAB/kT -1) Flow problems in QNR regions give minority currents: Je(-wp x -xp) = q(De/Le)[cosh(wp-x)/sinh(wp-xp)](ni2/NAp)(eqvAB/kT -1) Jh(xn x wn) = q(Dh/Lh)[cosh(wn-x)/sinh(wn-xn)](ni2/NDn)(eqvAB/kT -1) Total current is found from continuity across SCL: iD(vAB) = A [Je(-xp) + Jh(xn)] = IS (eqvAB/kT -1), with IS ≡A q ni2 [(Dh/NDn wn*) + (De/NAp wp*)] (hole component) (electron component) Note: wp * and wn* are the effective widths of the p- and n-sides If Le wp, then wp* ≈ (wp - xp), and if Le wp, then wp* ≈ Le If Lh wn, then wn* ≈ (wn - xn), and if Lh wn, then wn* ≈ Lh ã Features and limitations of the model Exponential dependence enters via boundary conditions Injection is predominantly into more lightly doped side Saturation current, IS, goes down as doping levels go up Limits: 1. SCL g-r may dominate at low current levels 2. Series resistance may reduce junction voltage at high currents 3. Junction may breakdown (conduct) at large reverse bias Clif Fonstad, 9/29/09 Lecture 6 - Slide 24 MIT OpenCourseWare http://ocw.mit.edu 6.012 Microelectronic Devices and Circuits Fall 2009 For information about citing these materials or our Terms of Use, visit: http://ocw.mit.edu/terms.

Recommended

Related Search

We Need Your Support

Thank you for visiting our website and your interest in our free products and services. We are nonprofit website to share and download documents. To the running of this website, we need your help to support us.

Thanks to everyone for your continued support.

No, Thanks